Manage orders - Create a New-Commerce migration
Creates and starts processing a New-Commerce migration entity.
POST https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/migrations/newcommerce
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer_id
|
path | True |
string |
The unique identifier (GUID) of the customer tenant. |
|
version
|
path | True |
string |
The API version number. |
Request Header
Media Types: "application/json-patch+json", "application/json", "text/json", "application/*+json"
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer Token |
| MS-CorrelationId |
string |
Used for tracking requests internally. If a MS-CorrelationId is not provided, the server will generate a new one for each request |
|
| MS-CV |
string |
Used for tracking requests internally. If a MS-CV is not provided, the server will generate a new one for each request |
|
| MS-RequestId |
string |
Used for idempotency of requests. If a MS-RequestId is not provided, the server will generate a new one for each request |
Request Body
Media Types: "application/json-patch+json", "application/json", "text/json", "application/*+json"
| Name | Type | Description |
|---|---|---|
| addOnMigrations |
The collection of add on migrations associated with this new commerce migration. |
|
| billingCycle |
string |
The billing frequency. |
| catalogItemId |
string |
The unique identifier of the catalog item. Value is typically a GUID. |
| completedTime |
string (date-time) |
The completed time for the new commerce migration. Uses ISO 8601 date-time format. |
| currentSubscriptionId |
string |
The unique identifier of the current subscription. Value is typically a GUID. |
| customTermEndDate |
string (date-time) |
The custom end date for the term, in ISO 8601 format. Uses ISO 8601 date-time format. |
| customerTenantId |
string |
The unique identifier of the customer tenant. Value is typically a GUID. |
| externalReferenceId |
string |
The unique identifier of the external reference. Value is typically a GUID. |
| id |
string |
Unique identifier for the new commerce migration. Value is typically a GUID. |
| microsoftLed |
boolean |
Whether this new commerce migration microsoft led. |
| newCommerceOrderId |
string |
The unique identifier of the new commerce order. Value is typically a GUID. |
| newCommerceSubscriptionId |
string |
The unique identifier of the new commerce subscription. Value is typically a GUID. |
| purchaseFullTerm |
boolean |
Whether this new commerce migration purchase full term. |
| quantity |
integer (int32) |
The number of units. |
| sourceChannel |
string |
The channel that the legacy subscription was purchased through. |
| startedTime |
string (date-time) |
The started time for the new commerce migration. Uses ISO 8601 date-time format. |
| status |
string |
The current status of the new commerce migration. |
| subscriptionEndDate |
string (date-time) |
The subscription end date for the new commerce migration. Uses ISO 8601 date-time format. |
| termDuration |
string |
The duration of the subscription term (for example, P1M for monthly or P1Y for annual). |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
string |
The request was successful. The response body contains the New-Commerce migration entity. Media Types: "text/plain", "application/json", "text/json" |
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. Media Types: "text/plain", "application/json", "text/json" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "text/plain", "application/json", "text/json" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "text/plain", "application/json", "text/json" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "text/plain", "application/json", "text/json" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "text/plain", "application/json", "text/json" |
Definitions
NewCommerceMigration
Represents a new commerce migration resource.
| Name | Type | Description |
|---|---|---|
| addOnMigrations |
The collection of add on migrations associated with this new commerce migration. |
|
| billingCycle |
string |
The billing frequency. |
| catalogItemId |
string |
The unique identifier of the catalog item. Value is typically a GUID. |
| completedTime |
string (date-time) |
The completed time for the new commerce migration. Uses ISO 8601 date-time format. |
| currentSubscriptionId |
string |
The unique identifier of the current subscription. Value is typically a GUID. |
| customTermEndDate |
string (date-time) |
The custom end date for the term, in ISO 8601 format. Uses ISO 8601 date-time format. |
| customerTenantId |
string |
The unique identifier of the customer tenant. Value is typically a GUID. |
| externalReferenceId |
string |
The unique identifier of the external reference. Value is typically a GUID. |
| id |
string |
Unique identifier for the new commerce migration. Value is typically a GUID. |
| microsoftLed |
boolean |
Whether this new commerce migration microsoft led. |
| newCommerceOrderId |
string |
The unique identifier of the new commerce order. Value is typically a GUID. |
| newCommerceSubscriptionId |
string |
The unique identifier of the new commerce subscription. Value is typically a GUID. |
| purchaseFullTerm |
boolean |
Whether this new commerce migration purchase full term. |
| quantity |
integer (int32) |
The number of units. |
| sourceChannel |
string |
The channel that the legacy subscription was purchased through. |
| startedTime |
string (date-time) |
The started time for the new commerce migration. Uses ISO 8601 date-time format. |
| status |
string |
The current status of the new commerce migration. |
| subscriptionEndDate |
string (date-time) |
The subscription end date for the new commerce migration. Uses ISO 8601 date-time format. |
| termDuration |
string |
The duration of the subscription term (for example, P1M for monthly or P1Y for annual). |